compact2, compact3
org.xml.sax

## Class SAXNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.xml.sax.SAXException
      - - org.xml.sax.SAXNotSupportedException

- All Implemented Interfaces:
    Serializable

      public class SAXNotSupportedException
      extends SAXException

  Exception class for an unsupported operation.

  > This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY. See http://www.saxproject.org for further information.

  An XMLReader will throw this exception when it recognizes a feature or property identifier, but cannot perform the requested operation (setting a state or value). Other SAX2 applications and extensions may use this class for similar purposes.

  Since:
    SAX 2.0
  See Also:
    `SAXNotRecognizedException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SAXNotSupportedException()` | Construct a new exception with no message.
    `SAXNotSupportedException(String message)` | Construct a new exception with the given message.

  - ### Method Summary

    - ### Methods inherited from class org.xml.sax.SAXException

      `getCause, getException, getMessage, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXNotSupportedException

          public SAXNotSupportedException()

      Construct a new exception with no message.

    - #### SAXNotSupportedException

          public SAXNotSupportedException(String message)

      Construct a new exception with the given message.
      Parameters:
        `message` - The text message of the exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.